// Sylvain MARECHAL
// sylvain.marechal1@libertysurf.fr
// Rev. 01/07/2005
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace tetris
{
    /// <summary>
    /// Form d'affichage des meilleurs scores
    /// </summary>
    public partial class FormShowScores : Form
    {
        /// <summary>
        /// Constructeur
        /// </summary>
        public FormShowScores()
        {
            InitializeComponent();

            // Recuperation du tableau des meilleurs scores
            CScores scores = new CScores();
            ArrayList tabScores = scores.Scores;

            // remplissage de la ListView
            foreach (CScore sc in tabScores)
            {
                ListViewItem item = new ListViewItem(sc.Nom, 0);
                item.SubItems.Add(sc.Score.ToString());
                item.SubItems.Add(sc.Date.ToString("g"));
                listScores.Items.Add(item);
            }
        }

        /// <summary>
        /// Fermer la form
        /// </summary>
        /// <param name="sender">Pas utilise</param>
        /// <param name="e">Pas utilise</param>
        private void btFermer_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}