// Sylvain MARECHAL
// sylvain.marechal1@libertysurf.fr
// Rev. 01/07/2005
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace tetris
{
    /// <summary>
    /// Boite a propos
    /// </summary>
    public partial class FormAPropos : Form
    {
        /// <summary>
        /// Construit la forme et initialise un composant tetris 
        /// pour le fun ;-)
        /// </summary>
        public FormAPropos()
        {
            InitializeComponent();
            linkLabelSM.Links.Add(0, linkLabelSM.Text.Length, "mailto:sylvain.marechal1@libertysurf.fr");

            tetrisPlayAreaControl.Play();
            tetrisPlayAreaControl.Focus();
        }

        /// <summary>
        /// On ferme
        /// </summary>
        /// <param name="sender">Non utilise</param>
        /// <param name="e">Non utilise</param>
        private void btFermer_Click(object sender, EventArgs e)
        {
            Close();
        }

        /// <summary>
        /// Qd on clique sur le lien
        /// </summary>
        /// <param name="sender">Non utilise</param>
        /// <param name="e">Non utilise</param>
        private void linkLabelSM_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(e.Link.LinkData.ToString());
        }
    }
}